package com.yem.em.bd.part.list;

import kd.bos.entity.filter.FilterParameter;
import kd.bos.form.CloseCallBack;
import kd.bos.form.FormShowParameter;
import kd.bos.form.ShowType;
import kd.bos.form.field.events.ListExpandEvent;
import kd.bos.form.operate.FormOperate;
import kd.bos.form.plugin.IFormPlugin;
import kd.bos.list.BillList;
import kd.bos.list.ListShowParameter;
import kd.bos.list.events.SetCellFieldValueArgs;
import kd.bos.list.plugin.AbstractListPlugin;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zhouc
 * @date 2023/9/4 10:44
 * @className PartListEdit
 * @description 设备零件（新）列表插件
 */
public class PartListEdit extends AbstractListPlugin {

    @Override
    public void expandClick(ListExpandEvent e) {
        super.expandClick(e);
        BillList operate = (BillList) e.getSource();
        int rowIndex = e.getRowIndex();
        SetCellFieldValueArgs setCellFieldValueArgs = new SetCellFieldValueArgs();
        setCellFieldValueArgs.addCellFieldValueEvent("number", e.getRowIndex(), "55037C01000000");
        setCellFieldValue(setCellFieldValueArgs);
    }

    @Override
    public void setCellFieldValue(SetCellFieldValueArgs args) {
        super.setCellFieldValue(args);
        args.addCellFieldValueEvent("number", args.getRowIndex(), "55037C01000000");
    }
}
